Package tigase.server.ext

# Class CompConfigRepository

java.lang.Object
tigase.db.comp.ConfigRepository<CompRepoItem>
tigase.server.ext.CompConfigRepository

All Implemented Interfaces:
  `Iterable<CompRepoItem>`, `ComponentRepository<CompRepoItem>`, `Repository`, `Initializable`, `UnregisterAware`

@Deprecated public class CompConfigRepository extends ConfigRepository<CompRepoItem>
Deprecated.
Created: Oct 3, 2009 2:00:30 PM

Author:
  Artur Hefczyc

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface tigase.db.Repository

  `Repository.Meta, Repository.SchemaId`

- ## Field Summary

  ### Fields inherited from class tigase.db.comp.ConfigRepository

  `autoReloadInterval, items, itemsHash`

  ### Fields inherited from interface tigase.db.comp.ComponentRepository

  `COMP_REPO_BIND`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompConfigRepository()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroy()`
  Deprecated.
  Method destroys this instance of ComponentRepository releasing resources allocated for this instance of ComponentRepository if possible
  `String`
  `getConfigKey()`
  Deprecated.
  `String[]`
  `getDefaultPropetyItems()`
  Deprecated.
  `CompRepoItem`
  `getItemInstance()`
  Deprecated.
  Creates a new, uninitialized instance of the repository Item.
  `String`
  `getPropertyKey()`
  Deprecated.
  `void`
  `initRepository(String resource_uri, Map<String,String> params)`
  Deprecated.
  `String`
  `validateItem(CompRepoItem item)`
  Deprecated.
  Performs Item validation to check whether it meets the repository policy.

  ### Methods inherited from class tigase.db.comp.ConfigRepository

  `addItem, addItemNoStore, addRepoChangeListener, allItems, beforeUnregister, contains, getDefaultItems, getDefaults, getItem, getItemsOld, initialize, initItemsMap, isInitialized, itemChanged, iterator, reload, removeItem, removeItemNoStore, removeRepoChangeListener, setAutoloadTimer, setAutoReloadInterval, setItemsOld, setProperties, size, store, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### CompConfigRepository

    public CompConfigRepository()
    Deprecated.

- ## Method Details

  - ### destroy

    public void destroy()
    Deprecated.
    Description copied from interface: `ComponentRepository`
    Method destroys this instance of ComponentRepository releasing resources allocated for this instance of ComponentRepository if possible

  - ### getDefaultPropetyItems

    public String[] getDefaultPropetyItems()
    Deprecated.
    Overrides:
      `getDefaultPropetyItems` in class `ConfigRepository<CompRepoItem>`

  - ### getPropertyKey

    public String getPropertyKey()
    Deprecated.
    Specified by:
      `getPropertyKey` in class `ConfigRepository<CompRepoItem>`

  - ### getConfigKey

    public String getConfigKey()
    Deprecated.
    Specified by:
      `getConfigKey` in class `ConfigRepository<CompRepoItem>`

  - ### getItemInstance

    public CompRepoItem getItemInstance()
    Deprecated.
    Description copied from interface: `ComponentRepository`
    Creates a new, uninitialized instance of the repository Item.
    Returns:
      a new, uninitialized instance of the repository Item.

  - ### initRepository

    @Deprecated public void initRepository(String resource_uri, Map<String,String> params) throws DBInitException
    Deprecated.
    Description copied from interface: `Repository`
    Method is deprecated and should not be user any more.
    The method is called to initialize the data repository. Depending on the implementation all the initialization parameters can be passed either via `resource_uri` parameter as the database connection string or via `params` map if the required repository parameters are more complex or both.
    Parameters:
      `resource_uri` - value in most cases representing the database connection string.
      `params` - is a `Map` with repository properties necessary to initialize and perform all the functions. The initialization parameters are implementation dependent.
    Throws:
      `DBInitException` - if there was an error during repository initialization. Some implementations, though, perform so called lazy initialization so even though there is a problem with the underlying repository it may not be signaled through this method call.

  - ### validateItem

    public String validateItem(CompRepoItem item)
    Deprecated.
    Description copied from interface: `ComponentRepository`
    Performs Item validation to check whether it meets the repository policy. If validation is successful the method returns `null`, otherwise it returns an error description.
    Specified by:
      `validateItem` in interface `ComponentRepository<CompRepoItem>`
    Overrides:
      `validateItem` in class `ConfigRepository<CompRepoItem>`
    Parameters:
      `item` - is an `Item` object to perform validation checking upon.
    Returns:
      `null` on success and an error message otherwise.